libgimpprint API Reference: canon_caps struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# canon_caps Struct Reference

## Data Fields
int | model
int | model_id
int | max_width
int | max_height
int | base_res
int | max_xdpi
int | max_ydpi
int | max_quality
int | border_left
int | border_right
int | border_top
int | border_bottom
int | inks
int | slots
unsigned long | features
int | dummy
const canon_dot_size_t | dot_sizes
const canon_densities_t | densities
const canon_variable_inklist_t * | inxs
int | inxs_cnt
const char * | lum_adjustment
const char * | hue_adjustment
const char * | sat_adjustment

## Field Documentation

int canon_caps::base_res

| Definition at line 559 of file print-canon.c.

int canon_caps::border_bottom

| Definition at line 566 of file print-canon.c. Referenced by internal_imageable_area().

int canon_caps::border_left

| Definition at line 563 of file print-canon.c. Referenced by internal_imageable_area().

int canon_caps::border_right

| Definition at line 564 of file print-canon.c. Referenced by internal_imageable_area().

int canon_caps::border_top

| Definition at line 565 of file print-canon.c. Referenced by internal_imageable_area().

const canon_densities_t canon_caps::densities

| Definition at line 576 of file print-canon.c. Referenced by canon_density().

const canon_dot_size_t canon_caps::dot_sizes

| Definition at line 575 of file print-canon.c. Referenced by canon_ink_type().

int canon_caps::dummy

| Definition at line 574 of file print-canon.c.

unsigned long canon_caps::features

| Definition at line 569 of file print-canon.c.

const char* canon_caps::hue_adjustment

| Definition at line 581 of file print-canon.c.

int canon_caps::inks

| Definition at line 567 of file print-canon.c.

const canon_variable_inklist_t* canon_caps::inxs

| Definition at line 577 of file print-canon.c.

int canon_caps::inxs_cnt

| Definition at line 578 of file print-canon.c.

const char* canon_caps::lum_adjustment

| Definition at line 580 of file print-canon.c.

int canon_caps::max_height

| Definition at line 558 of file print-canon.c. Referenced by canon_limit().

int canon_caps::max_quality

| Definition at line 562 of file print-canon.c.

int canon_caps::max_width

| Definition at line 557 of file print-canon.c. Referenced by canon_limit().

int canon_caps::max_xdpi

| Definition at line 560 of file print-canon.c.

int canon_caps::max_ydpi

| Definition at line 561 of file print-canon.c.

int canon_caps::model

| Definition at line 555 of file print-canon.c. Referenced by canon_density(), and canon_get_model_capabilities().

int canon_caps::model_id

| Definition at line 556 of file print-canon.c.

const char* canon_caps::sat_adjustment

| Definition at line 582 of file print-canon.c.

int canon_caps::slots

| Definition at line 568 of file print-canon.c.

The documentation for this struct was generated from the following file:

- src/main/print-canon.c